Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 708)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 709)
@@ -250,168 +287,180 @@
        IF ( boundary_flags(j,i) /= 0 )  THEN
 !       
-!--      Degrade the order for Dirichlet bc. at the outflow boundary.
-         SELECT CASE ( boundary_flags(j,i) )
-         
-            CASE ( 1 )
-               DO  k = nzb_s_inner(j,i) + 1, nzt
-                  u_comp    = u(k,j,i+1) - u_gtrans
-                  flux_r(k) = u_comp * (                                      &
-                              7. * ( sk(k,j,i+1) + sk(k,j,i)   )              &
-                              -    ( sk(k,j,i+2) + sk(k,j,i-1) ) ) * adv_sca_3
-                  diss_r(k) = - abs(u_comp) * (                               &
-                              3. * ( sk(k,j,i+1)-sk(k,j,i)     )              & 
-                              -    ( sk(k,j,i+2) - sk(k,j,i-1) ) ) * adv_sca_3
+!--       Degrade the order for Dirichlet bc. at the outflow boundary
+          SELECT CASE ( boundary_flags(j,i) )
+
+             CASE ( 1 )
+
+                DO  k = nzb_s_inner(j,i)+1, nzt
+                   u_comp    = u(k,j,i+1) - u_gtrans
+                   flux_r(k) = u_comp * (                                      &
+                               7.0 * ( sk(k,j,i+1) + sk(k,j,i)   )             &
+                                   - ( sk(k,j,i+2) + sk(k,j,i-1) ) ) * adv_sca_3
+                   diss_r(k) = -ABS( u_comp ) * (                              &
+                               3.0 * ( sk(k,j,i+1) - sk(k,j,i)   )             &
+                                   - ( sk(k,j,i+2) - sk(k,j,i-1) ) ) * adv_sca_3
+                ENDDO
+
+             CASE ( 2 )
+
+                DO  k = nzb_s_inner(j,i)+1, nzt
+                   u_comp    = u(k,j,i+1) - u_gtrans
+                   flux_r(k) = u_comp * ( sk(k,j,i+1) + sk(k,j,i) ) * 0.5
+                   diss_r(k) = diss_2nd( sk(k,j,i+1), sk(k,j,i+1), sk(k,j,i),  &
+                                         sk(k,j,i-1), sk(k,j,i-2), u_comp,     &
+                                         0.5, ddx )
+                ENDDO
+
+             CASE ( 3 )
+
+                DO  k = nzb_s_inner(j,i) + 1, nzt
+                   v_comp = v(k,j+1,i) - v_gtrans
+                   flux_n(k) = v_comp * (                                      &
+                               7.0 * ( sk(k,j+1,i) + sk(k,j,i)   )             &
+                                   - ( sk(k,j+2,i) + sk(k,j-1,i) ) ) * adv_sca_3
+                   diss_n(k) = -ABS( v_comp ) * (                              &
+                               3.0 * ( sk(k,j+1,i) - sk(k,j,i)     )           &
+                                   - ( sk(k,j+2,i) - sk(k,j-1,i) ) ) * adv_sca_3
                ENDDO
-               
-            CASE ( 2 )
-               DO  k = nzb_s_inner(j,i) + 1, nzt
-                  u_comp    = u(k,j,i+1) - u_gtrans
-                  flux_r(k) = u_comp * ( sk(k,j,i+1) + sk(k,j,i) ) * 0.5
-                  diss_r(k) = diss_2nd( sk(k,j,i+1), sk(k,j,i+1), sk(k,j,i),  &
-                                        sk(k,j,i-1), sk(k,j,i-2), u_comp,     &
-                                        0.5, ddx )
-              ENDDO
-              
-            CASE ( 3 )
-               DO  k = nzb_s_inner(j,i) + 1, nzt
-                  v_comp = v(k,j+1,i) - v_gtrans
-                  flux_n(k) = v_comp * (                                      &
-                              7. * ( sk(k,j+1,i) + sk(k,j,i)   )              &
-                              -    ( sk(k,j+2,i) + sk(k,j-1,i) ) ) * adv_sca_3
-                  diss_n(k) = - abs(v_comp) * (                               &
-                              3. * ( sk(k,j+1,i)-sk(k,j,i)    )               & 
-                              -    (sk(k,j+2,i) - sk(k,j-1,i) ) ) * adv_sca_3
-              ENDDO
-            CASE ( 4 )
-               DO  k = nzb_s_inner(j,i) + 1, nzt
-                  v_comp    = v(k,j+1,i) - v_gtrans
-                  flux_n(k) = v_comp* ( sk(k,j+1,i) + sk(k,j,i) ) * 0.5
-                  diss_n(k) =  diss_2nd( sk(k,j+1,i), sk(k,j+1,i), sk(k,j,i), &
+
+             CASE ( 4 )
+
+                DO  k = nzb_s_inner(j,i)+1, nzt
+                   v_comp    = v(k,j+1,i) - v_gtrans
+                   flux_n(k) = v_comp* ( sk(k,j+1,i) + sk(k,j,i) ) * 0.5
+                   diss_n(k) = diss_2nd( sk(k,j+1,i), sk(k,j+1,i), sk(k,j,i), &
                                          sk(k,j-1,i), sk(k,j-2,i), v_comp,    &
                                          0.5, ddy )     
-               ENDDO
+                ENDDO
+
+             CASE ( 5 )
+
+                DO  k = nzb_w_inner(j,i)+1, nzt
+                   u_comp    = u(k,j,i+1) - u_gtrans 
+                   flux_r(k) = u_comp  * (                                     &
+                               7.0 * ( sk(k,j,i+1) + sk(k,j,i)   )             &
+                                   - ( sk(k,j,i+2) + sk(k,j,i-1) ) ) * adv_sca_3
+                   diss_r(k) = -ABS( u_comp ) * (                              &
+                               3.0 * ( sk(k,j,i+1) - sk(k,j,i)   )             &
+                                   - ( sk(k,j,i+2) - sk(k,j,i-1) ) ) * adv_sca_3
+                ENDDO  
+
+             CASE ( 6 )
+
+                DO  k = nzb_s_inner(j,i)+1, nzt
+                   u_comp    = u(k,j,i+1) - u_gtrans
+                   flux_r(k) = u_comp * (                                      &
+                               7.0 * ( sk(k,j,i+1) + sk(k,j,i)   )             &
+                                   - ( sk(k,j,i+2) + sk(k,j,i-1) ) ) * adv_sca_3
+                   diss_r(k) = -ABS( u_comp ) * (                              &
+                               3.0 * ( sk(k,j,i+1) - sk(k,j,i)   )             &
+                                   - ( sk(k,j,i+2) - sk(k,j,i-1) ) ) * adv_sca_3
+!                              
+!--                Compute leftside fluxes for the left boundary of PE domain
+                   u_comp                 = u(k,j,i) - u_gtrans
+                   swap_flux_x_local(k,j) = u_comp * (                         &
+                                            sk(k,j,i) + sk(k,j,i-1) ) * 0.5
+                   swap_diss_x_local(k,j) = diss_2nd( sk(k,j,i+2),sk(k,j,i+1), &
+                                                      sk(k,j,i), sk(k,j,i-1),  &
+                                                      sk(k,j,i-1), u_comp,     &
+                                                      0.5, ddx ) 
+                ENDDO
+                degraded_l = .TRUE.
+
+             CASE ( 7 )
+
+                DO  k = nzb_s_inner(j,i)+1, nzt
+                   v_comp    = v(k,j+1,i)-v_gtrans
+                   flux_n(k) = v_comp * (                                      &
+                               7.0 * ( sk(k,j+1,i) + sk(k,j,i)   )             &
+                                   - ( sk(k,j+2,i) + sk(k,j-1,i) ) ) * adv_sca_3
+                   diss_n(k) = -ABS( v_comp ) * (                              &
+                               3.0 * ( sk(k,j+1,i) - sk(k,j,i)   )             &
+                                   - ( sk(k,j+2,i) - sk(k,j-1,i) ) ) * adv_sca_3
+                ENDDO
+
+             CASE ( 8 )
+
+                DO  k = nzb_s_inner(j,i)+1, nzt
+                   v_comp    = v(k,j+1,i) - v_gtrans 
+                   flux_n(k) = v_comp * (                                      &
+                               7.0 * ( sk(k,j+1,i) + sk(k,j,i)   )             &
+                                   - ( sk(k,j+2,i) + sk(k,j-1,i) ) ) * adv_sca_3
+                   diss_n(k) = -ABS( v_comp ) * (                              &
+                               3.0 * ( sk(k,j+1,i) - sk(k,j,i)   )             &
+                                   - ( sk(k,j+2,i) - sk(k,j-1,i) ) ) * adv_sca_3
+!                              
+!--                Compute southside fluxes for the south boundary of PE domain
+                   v_comp               = v(k,j,i) - v_gtrans
+                   swap_flux_y_local(k) = v_comp *                             &
+                                          ( sk(k,j,i) + sk(k,j-1,i) ) * 0.5 
+                   swap_diss_y_local(k) = diss_2nd( sk(k,j+2,i), sk(k,j+1,i),  &
+                                                    sk(k,j,i), sk(k,j-1,i),    &
+                                                    sk(k,j-1,i), v_comp,       &
+                                                    0.5, ddy )
+                ENDDO
+                degraded_s = .TRUE.
                
-            CASE ( 5 )
-               DO  k = nzb_w_inner(j,i) + 1, nzt
-                  u_comp    = u(k,j,i+1) - u_gtrans 
-                  flux_r(k) = u_comp  * (                                     &
-                              7. * ( sk(k,j,i+1) + sk(k,j,i)   )              &
-                              -    ( sk(k,j,i+2) + sk(k,j,i-1) ) ) * adv_sca_3
-                  diss_r(k) = - abs(u_comp) * (                               &
-                              3. * ( sk(k,j,i+1)-sk(k,j,i) )                  & 
-                              -    ( sk(k,j,i+2) - sk(k,j,i-1) ) ) * adv_sca_3
-               ENDDO  
-               
-            CASE ( 6 )
-               DO  k = nzb_s_inner(j,i) + 1, nzt
-                  u_comp    = u(k,j,i+1) - u_gtrans
-                  flux_r(k) = u_comp * (                                      &
-                              7. * ( sk(k,j,i+1) + sk(k,j,i)   )              &
-                              -    ( sk(k,j,i+2) + sk(k,j,i-1) ) ) * adv_sca_3
-                  diss_r(k) = - abs(u_comp) * (                               &
-                              3. * ( sk(k,j,i+1)-sk(k,j,i)     )              & 
-                              -    ( sk(k,j,i+2) - sk(k,j,i-1) ) ) * adv_sca_3
-!                              
-!--               Compute leftside fluxes for the left boundary of PE domain.
-                  u_comp                 = u(k,j,i) - u_gtrans
-                  swap_flux_x_local(k,j) = u_comp * (                         &
-                                           sk(k,j,i) + sk(k,j,i-1) ) * 0.5
-                  swap_diss_x_local(k,j) = diss_2nd( sk(k,j,i+2),sk(k,j,i+1), &
-                                                     sk(k,j,i), sk(k,j,i-1),  &
-                                                     sk(k,j,i-1), u_comp,     &
-                                                     0.5, ddx ) 
-               ENDDO
-               degraded_l = .TRUE.
-               
-            CASE ( 7 )
-               DO  k = nzb_s_inner(j,i) + 1, nzt
-                  v_comp    = v(k,j+1,i)-v_gtrans
-                  flux_n(k) = v_comp * (                                      &
-                              7. * ( sk(k,j+1,i) + sk(k,j,i)   )              &
-                              -    ( sk(k,j+2,i) + sk(k,j-1,i) ) ) * adv_sca_3
-                  diss_n(k) = - abs(v_comp) * (                               &
-                              3. * ( sk(k,j+1,i) - sk(k,j,i)   )              & 
-                              -    ( sk(k,j+2,i) - sk(k,j-1,i) ) ) * adv_sca_3
-               ENDDO
-               
-            CASE ( 8 )
-               DO  k = nzb_s_inner(j,i) + 1, nzt
-                  v_comp    = v(k,j+1,i) - v_gtrans 
-                  flux_n(k) = v_comp * (                                      &
-                              7. * ( sk(k,j+1,i) + sk(k,j,i)   )              &
-                              -    ( sk(k,j+2,i) + sk(k,j-1,i) ) ) * adv_sca_3
-                  diss_n(k) = - abs(v_comp) * (                               &
-                              3. * ( sk(k,j+1,i) - sk(k,j,i) )                & 
-                              -    ( sk(k,j+2,i) - sk(k,j-1,i) ) ) * adv_sca_3
-!                              
-!--               Compute southside fluxes for the south boundary of PE domain           
-                  v_comp               = v(k,j,i) - v_gtrans
-                  swap_flux_y_local(k) = v_comp * (                           &
-                                         sk(k,j,i)+ sk(k,j-1,i) ) * 0.5 
-                  swap_diss_y_local(k) = diss_2nd( sk(k,j+2,i), sk(k,j+1,i),  &
-                                                   sk(k,j,i), sk(k,j-1,i),    &
-                                                   sk(k,j-1,i), v_comp,       &
-                                                   0.5, ddy )
-               ENDDO
-               degraded_s = .TRUE.
-               
-            CASE DEFAULT
+             CASE DEFAULT
             
-         END SELECT
+          END SELECT
+
 !         
-!--      Compute the crosswise 5th order fluxes at the outflow
-         IF ( boundary_flags(j,i) == 1 .OR. boundary_flags(j,i) == 2          &
-         .OR. boundary_flags(j,i) == 5 .OR. boundary_flags(j,i) == 6 )  THEN
-            DO  k = nzb_s_inner(j,i) + 1, nzt
-               v_comp    = v(k,j+1,i) - v_gtrans
-               flux_n(k) = v_comp * (                                         &
-                           37.  * ( sk(k,j+1,i) + sk(k,j,i)   )               &
-                           - 8. * ( sk(k,j+2,i) + sk(k,j-1,i) )               &
-                           +      ( sk(k,j+3,i) + sk(k,j-2,i) ) ) * adv_sca_5
-               diss_n(k) = - abs(v_comp) * (                                  &
-                           10. *  ( sk(k,j+1,i) - sk(k,j,i)   )               &
-                           - 5. * ( sk(k,j+2,i) - sk(k,j-1,i) )               &
-                           +      ( sk(k,j+3,i) - sk(k,j-2,i) ) ) * adv_sca_5
-            ENDDO
+!--       Compute the crosswise 5th order fluxes at the outflow
+          IF ( boundary_flags(j,i) == 1  .OR.  boundary_flags(j,i) == 2  .OR. &
+               boundary_flags(j,i) == 5  .OR.  boundary_flags(j,i) == 6 )  THEN
+
+             DO  k = nzb_s_inner(j,i)+1, nzt
+                v_comp    = v(k,j+1,i) - v_gtrans
+                flux_n(k) = v_comp * (                                         &
+                            37.0 * ( sk(k,j+1,i) + sk(k,j,i)   )               &
+                          -  8.0 * ( sk(k,j+2,i) + sk(k,j-1,i) )               &
+                          +        ( sk(k,j+3,i) + sk(k,j-2,i) ) ) * adv_sca_5
+                diss_n(k) = -ABS( v_comp ) * (                                 &
+                            10.0 * ( sk(k,j+1,i) - sk(k,j,i)   )               &
+                          -  5.0 * ( sk(k,j+2,i) - sk(k,j-1,i) )               &
+                          +        ( sk(k,j+3,i) - sk(k,j-2,i) ) ) * adv_sca_5
+             ENDDO
             
-         ELSE
+          ELSE
          
-            DO  k = nzb_s_inner(j,i) + 1, nzt
-               u_comp    = u(k,j,i+1) - u_gtrans  
-               flux_r(k) = u_comp * (                                         &
-                           37.  * ( sk(k,j,i+1) + sk(k,j,i)   )               &
-                           - 8. * ( sk(k,j,i+2) + sk(k,j,i-1) )               &
-                           +      ( sk(k,j,i+3) + sk(k,j,i-2) ) ) * adv_sca_5
-               diss_r(k) = - abs(u_comp) * (                                  &
-                           10.  * ( sk(k,j,i+1) - sk(k,j,i)   )               &
-                           - 5. * ( sk(k,j,i+2) - sk(k,j,i-1) )               &
-                           +      ( sk(k,j,i+3) - sk(k,j,i-2) ) ) * adv_sca_5
-            ENDDO
+             DO  k = nzb_s_inner(j,i)+1, nzt
+                u_comp    = u(k,j,i+1) - u_gtrans  
+                flux_r(k) = u_comp * (                                         &
+                            37.0 * ( sk(k,j,i+1) + sk(k,j,i)   )               &
+                          -  8.0 * ( sk(k,j,i+2) + sk(k,j,i-1) )               &
+                          +        ( sk(k,j,i+3) + sk(k,j,i-2) ) ) * adv_sca_5
+                diss_r(k) = -ABS( u_comp ) * (                                 &
+                            10.0 * ( sk(k,j,i+1) - sk(k,j,i)   )               &
+                          -  5.0 * ( sk(k,j,i+2) - sk(k,j,i-1) )               &
+                          +        ( sk(k,j,i+3) - sk(k,j,i-2) ) ) * adv_sca_5
+             ENDDO
             
-         ENDIF
-!
-!--    Compute the fifth order fluxes for the interior of PE domain.
+          ENDIF
+
        ELSE
                
-          DO  k = nzb_u_inner(j,i) + 1, nzt
+!
+!--       Compute the fifth order fluxes for the interior of PE domain.
+          DO  k = nzb_u_inner(j,i)+1, nzt
              u_comp    = u(k,j,i+1) - u_gtrans
              flux_r(k) = u_comp * (                                           &
-                         37.  * ( sk(k,j,i+1) + sk(k,j,i)   )                 &
-                         - 8. * ( sk(k,j,i+2) + sk(k,j,i-1) )                 &
-                         +      ( sk(k,j,i+3) + sk(k,j,i-2) ) ) * adv_sca_5
-             diss_r(k) = - abs(u_comp) * (                                    &
-                         10.  * ( sk(k,j,i+1) - sk(k,j,i)   )                 &
-                         - 5. * ( sk(k,j,i+2) - sk(k,j,i-1) )                 &
-                         +      ( sk(k,j,i+3) - sk(k,j,i-2) ) ) * adv_sca_5
+                         37.0 * ( sk(k,j,i+1) + sk(k,j,i)   )                 &
+                       -  8.0 * ( sk(k,j,i+2) + sk(k,j,i-1) )                 &
+                       +        ( sk(k,j,i+3) + sk(k,j,i-2) ) ) * adv_sca_5
+             diss_r(k) = -ABS( u_comp ) * (                                   &
+                         10.0 * ( sk(k,j,i+1) - sk(k,j,i)   )                 &
+                       -  5.0 * ( sk(k,j,i+2) - sk(k,j,i-1) )                 &
+                       +        ( sk(k,j,i+3) - sk(k,j,i-2) ) ) * adv_sca_5
 
              v_comp    = v(k,j+1,i) - v_gtrans
              flux_n(k) = v_comp * (                                           &
-                         37.  * ( sk(k,j+1,i) + sk(k,j,i)   )                 &
-                         - 8. * ( sk(k,j+2,i) + sk(k,j-1,i) )                 &
-                         +      ( sk(k,j+3,i) + sk(k,j-2,i) ) ) * adv_sca_5
-             diss_n(k) = - abs(v_comp) * (                                    &
-                         10.  * ( sk(k,j+1,i) - sk(k,j,i)   )                 &                      
-                         - 5. * ( sk(k,j+2,i) - sk(k,j-1,i) )                 &
-                         +      ( sk(k,j+3,i) - sk(k,j-2,i) ) ) * adv_sca_5               
+                         37.0 * ( sk(k,j+1,i) + sk(k,j,i)   )                 &
+                       -  8.0 * ( sk(k,j+2,i) + sk(k,j-1,i) )                 &
+                       +        ( sk(k,j+3,i) + sk(k,j-2,i) ) ) * adv_sca_5
+             diss_n(k) = -ABS( v_comp ) * (                                   &
+                         10.0 * ( sk(k,j+1,i) - sk(k,j,i)   )                 &
+                       -  5.0 * ( sk(k,j+2,i) - sk(k,j-1,i) )                 &
+                       +        ( sk(k,j+3,i) - sk(k,j-2,i) ) ) * adv_sca_5
           ENDDO
           
@@ -424,43 +473,45 @@
               v_comp               = v(k,j,i) - v_gtrans
               swap_flux_y_local(k) = v_comp * (                               &
-                                     37. *    ( sk(k,j,i) + sk(k,j-1,i)   )   &
-                                     - 8. *   ( sk(k,j+1,i) + sk(k,j-2,i) )   &
-                                     +        ( sk(k,j+2,i) + sk(k,j-3,i) )   &
-                                     ) * adv_sca_5
-              swap_diss_y_local(k) = - abs(v_comp) * (                        &
-                                     10. *  ( sk(k,j,i) - sk(k,j-1,i)   )     &
-                                     - 5. * ( sk(k,j+1,i) - sk(k,j-2,i) )     &
-                                     +        sk(k,j+2,i) - sk(k,j-3,i)       &
-                                     ) * adv_sca_5
+                                     37.0 * ( sk(k,j,i)   + sk(k,j-1,i) )     &
+                                   -  8.0 * ( sk(k,j+1,i) + sk(k,j-2,i) )     &
+                                   +        ( sk(k,j+2,i) + sk(k,j-3,i) )     &
+                                              ) * adv_sca_5
+              swap_diss_y_local(k) = -ABS( v_comp ) * (                       &
+                                     10.0 * ( sk(k,j,i)   - sk(k,j-1,i) )     &
+                                   -  5.0 * ( sk(k,j+1,i) - sk(k,j-2,i) )     &
+                                   +          sk(k,j+2,i) - sk(k,j-3,i)       &
+                                                      ) * adv_sca_5
            ENDDO           
           
         ENDIF
         
-        IF ( i == nxl .AND. ( .NOT. degraded_l ) )  THEN
+        IF ( i == nxl  .AND.  .NOT. degraded_l )  THEN
         
-           DO  k = nzb_s_inner(j,i) + 1, nzt
+           DO  k = nzb_s_inner(j,i)+1, nzt
               u_comp                 = u(k,j,i) - u_gtrans
               swap_flux_x_local(k,j) = u_comp * (                             &
-                                       37.  * ( sk(k,j,i) + sk(k,j,i-1)   )   &
-                                       - 8. * ( sk(k,j,i+1) + sk(k,j,i-2) )   &
-                                       +      ( sk(k,j,i+2) + sk(k,j,i-3) )   &
-                                       ) * adv_sca_5
-              swap_diss_x_local(k,j) = - abs(u_comp) * (                      &
-                                       10.  * ( sk(k,j,i) - sk(k,j,i-1)   )   &
-                                       - 5. * ( sk(k,j,i+1) - sk(k,j,i-2) )   &
-                                       +      ( sk(k,j,i+2) - sk(k,j,i-3) )   &
-                                       ) * adv_sca_5
+                                       37.0 * ( sk(k,j,i)   + sk(k,j,i-1) )   &
+                                     -  8.0 * ( sk(k,j,i+1) + sk(k,j,i-2) )   &
+                                     +        ( sk(k,j,i+2) + sk(k,j,i-3) )   &
+                                                ) * adv_sca_5
+              swap_diss_x_local(k,j) = -ABS( u_comp ) * (                     &
+                                       10.0 * ( sk(k,j,i)   - sk(k,j,i-1) )   &
+                                     -  5.0 * ( sk(k,j,i+1) - sk(k,j,i-2) )   &
+                                     +        ( sk(k,j,i+2) - sk(k,j,i-3) )   &
+                                                        ) * adv_sca_5
            ENDDO
            
         ENDIF
+
 !        
-!--    Now compute the tendency terms for the horizontal parts.
-       DO  k = nzb_s_inner(j,i) + 1, nzt
+!--    Now compute the tendency terms for the horizontal parts
+       DO  k = nzb_s_inner(j,i)+1, nzt
           
-          tend(k,j,i) = tend(k,j,i) - (                                       &
-               ( flux_r(k) + diss_r(k)                                        &
-             - ( swap_flux_x_local(k,j) + swap_diss_x_local(k,j) ) ) * ddx    &
-             + (flux_n(k)+diss_n(k)                                           &
-             - (swap_flux_y_local(k)    + swap_diss_y_local(k) ) )   * ddy )
+          tend(k,j,i) = tend(k,j,i) - (                                      &
+                          ( flux_r(k) + diss_r(k) - swap_flux_x_local(k,j) - &
+                            swap_diss_x_local(k,j) ) * ddx                   &
+                        + ( flux_n(k) + diss_n(k) - swap_flux_y_local(k)   - &
+                            swap_diss_y_local(k)   ) * ddy                   &
+                                      )
 
           swap_flux_y_local(k)   = flux_n(k)
